#include <bits/stdc++.h>

#define pb push_back

using namespace std;

int main() {
    vector<int> sol;
    int n, k, x;
    cin >> n >> k >> x;
    sol.pb(1);
    if (n == k) {
        for (int i = 1; i<=n; i++) {
            sol.pb(sol[i-1] + x);
        }
        for (auto e : sol)
            cout << e << " ";
    }
    return 0;
}